#!/bin/sh
#
# %% %%


# Compute an absolute pathname here because Class.getResource()
# fails if $CLASSPATH contains "../".
ABLE_HOME=`(cd ../; pwd)`
ABLE_JARS=${ABLE_HOME}/lib/ableall.jar:${ABLE_HOME}/lib/antlr.jar:${ABLE_HOME}/lib/archiveaccessor.jar:${ABLE_HOME}/lib/jcchart361J.jar:${ABLE_HOME}/lib/JLog.jar:${ABLE_HOME}/lib/xerces.jar

ABLE_CLASSES=.:${ABLE_JARS}
if [ -z "$CLASSPATH" ] ; then
    CLASSPATH="${ABLE_CLASSES}":${JAVA_HOME}/lib/classes.zip
else
    CLASSPATH="${ABLE_CLASSES}:$CLASSPATH"
fi

CMD="${JAVA_HOME}/bin/java  -Dable.home=${ABLE_HOME}  -Dable.prefdir=${ABLE_HOME}/..  -classpath ${CLASSPATH}  com.ibm.able.editor.AbleEditor"

echo ${CMD}
${CMD}

