@echo off
rem run the Fuzzy rule editor 
rem Note: assumes that Java environment is set up 
rem classes.zip and swingall.zip are already in CLASSPATH
rem Must run from bin directory if ABLE_HOME is not set.
rem Must set ABLE_HOME directly if installed in directory name containing spaces

rem Able editor requires ableeditor.jar antlr (fuzzy)

if "%ABLE_HOME%" == "" goto SET_DIR
goto RUN_CMD

:SET_DIR
rem don't change name of DIRECTORY.BAT file; for each blank in path add "%%2 %%3"
echo set ABLE_HOME=%%2>DIRECTORY.BAT
dir ..\*. | find " Directory of ">TEMP.BAT
type temp.bat
call TEMP.BAT >NUL
DEL DIRECTORY.BAT >NUL
DEL TEMP.BAT >NUL
rem echo Able_Home is: %ABLE_HOME%

:RUN_CMD
@echo on
java -classpath "%ABLE_HOME%\lib\ableall.jar;%ABLE_HOME%\lib\antlr.jar;%ABLE_HOME%\lib\archiveaccessor.jar;%ABLE_HOME%\lib\jcchart361J.jar;%ABLE_HOME%\lib\JLog.jar;%ABLE_HOME%\lib\xerces.jar;%CLASSPATH%" -Dable.home="%ABLE_HOME%" -Dable.prefdir="%ABLE_HOME%" com.ibm.able.beans.fuzzy.FsRuleSetCustomizer
@echo off 


